# Method System.get_user()

Method get_user

  `string get_user()`

Description

  Get the username of the user that started the process.

Returns

  the username of the user "associated" with the current process, or zero if a method to find this information does not exist on the current system.

Note

  On NT systems, this returns the user the current thread is running as, while on Unix-like systems this function returns the user that started the process (rather than the effective user)..